Sample (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: Sample

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class Sample

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.SampleImmutable
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Sample

All Implemented Interfaces:
  `ISample`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

public class Sample extends SampleImmutable implements ISample

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sample(SampleImmutable sample)`
  `Sample(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample)`
  `Sample(String sampleIdentifier, String permId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttachment(String filePath, String title, String description, byte[] content)`
  Add a new attachment to this sample.
  `void`
  `setContainer(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable container)`
  Set the container for this sample.
  `void`
  `setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Set the experiment for this sample.
  `void`
  `setParentSampleIdentifiers(List<String> parentSampleIdentifiers)`
  Set the parent samples of this sample.
  `void`
  `setProject(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)`
  Set the project for this sample.
  `void`
  `setPropertyValue(String propertyCode, String propertyValue)`
  Set the value for a property.
  `void`
  `setSampleType(String type)`
  Set the type for this sample.

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.impl.SampleImmutable

  `canGetContainedSamples, checkExists, equals, getCode, getContainedSamples, getEntityId, getExperiment, getId, getParentSampleIdentifiers, getPermId, getProject, getPropertyValue, getSample, getSampleIdentifier, getSampleType, getSpace, hashCode, isExistingSample`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent

  `getEntityId`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable

  `canGetContainedSamples, getCode, getContainedSamples, getExperiment, getParentSampleIdentifiers, getPermId, getProject, getPropertyValue, getSampleIdentifier, getSampleType, getSpace, isExistingSample`

- ## Constructor Details

  - ### Sample

    public Sample(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample)

  - ### Sample

    public Sample(SampleImmutable sample)

  - ### Sample

    public Sample(String sampleIdentifier, String permId)

- ## Method Details

  - ### setExperiment

    public void setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Description copied from interface: `ISample`
    Set the experiment for this sample. The experiment need not be immutable, but the immutable one is the superclass.
    Specified by:
      `setExperiment` in interface `ISample`

  - ### setProject

    public void setProject(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)
    Description copied from interface: `ISample`
    Set the project for this sample. The project need not be immutable, but the immutable one is the superclass.
    Specified by:
      `setProject` in interface `ISample`

  - ### setPropertyValue

    public void setPropertyValue(String propertyCode, String propertyValue)
    Description copied from interface: `ISample`
    Set the value for a property.
    Specified by:
      `setPropertyValue` in interface `ISample`

  - ### setSampleType

    public void setSampleType(String type)
    Description copied from interface: `ISample`
    Set the type for this sample.
    Specified by:
      `setSampleType` in interface `ISample`

  - ### setContainer

    public void setContainer(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable container)
    Description copied from interface: `ISample`
    Set the container for this sample.
    Specified by:
      `setContainer` in interface `ISample`

  - ### setParentSampleIdentifiers

    public void setParentSampleIdentifiers(List<String> parentSampleIdentifiers)
    Description copied from interface: `ISample`
    Set the parent samples of this sample.
    Specified by:
      `setParentSampleIdentifiers` in interface `ISample`

  - ### addAttachment

    public void addAttachment(String filePath, String title, String description, byte[] content)
    Description copied from interface: `ISample`
    Add a new attachment to this sample.
    Specified by:
      `addAttachment` in interface `ISample`
    Parameters:
      `filePath` - The path of the attachment as reported to the database.
      `title` - The title of the attachment.
      `description` - A description of the attachment.
      `content` - The actual content of the attachment.